View Single Post
Old 03-08-07, 09:37 AM   #5
JaXXoN
Registered User
 
Join Date: Jul 2005
Location: Munich
Posts: 910
Default Re: 2.6.20-rt8 kernel patch

Quote:
Originally Posted by Boomer
[code]
FATAL: modpost: GPL-incompatible module nvidia.ko uses GPL-only symbol 'page
Some kernel configuration options make the nvidia driver compiling-in
certain GPL-only symbols. Either try to figure out which obtions that
are, or just disable GPL-only checking and manally define the missing symbol.

For details, please check steps 3 to 5 in the following post:
http://www.nvnews.net/vbulletin/showthread.php?t=87541

BTW.: Although there is a good chance that the 9xxx series "vanilla" nvidia
driver will work with a -rt kernel, i would strongly recommend applying
the patch mentioned in the posting above: the driver uses PAT support
by default which requires to perform a wbinvd insturction now and then.
This in turn causes high latencies up to 600 microseconds.

regards

Bernhard
JaXXoN is offline   Reply With Quote